# MessageSegmentHandler Class Reference
[Root classes for building DAO hierarchies]

Inheritance diagram for MessageSegmentHandler:
[legend]

List of all members.

## Public Member Functions

| __construct ($segmentId)
| touch ($key)
| creates key in segment
| unlink ($key)
| deletes key from segment
| ping ($key)
| checks for a key existence in segment
| drop ()
| destroys segment

## Private Attributes

| $id = null

## Detailed Description

Definition at line 15 of file MessageSegmentHandler.class.php.

## Constructor & Destructor Documentation

MessageSegmentHandler::__construct | ( | $ | segmentId | ) |

Implements SegmentHandler.

Definition at line 19 of file MessageSegmentHandler.class.php.

## Member Function Documentation

MessageSegmentHandler::drop | ( |  | ) |

destroys segment

Implements SegmentHandler.

Definition at line 80 of file MessageSegmentHandler.class.php.

MessageSegmentHandler::ping | ( | $ | key | ) |

checks for a key existence in segment

Implements SegmentHandler.

Definition at line 57 of file MessageSegmentHandler.class.php.

MessageSegmentHandler::touch | ( | $ | key | ) |

creates key in segment

Implements SegmentHandler.

Definition at line 24 of file MessageSegmentHandler.class.php.

References Assert::isUnreachable().

Here is the call graph for this function:

MessageSegmentHandler::unlink | ( | $ | key | ) |

deletes key from segment

Implements SegmentHandler.

Definition at line 43 of file MessageSegmentHandler.class.php.

## Member Data Documentation

MessageSegmentHandler::$id = null`[private]`

Definition at line 17 of file MessageSegmentHandler.class.php.

The documentation for this class was generated from the following file:

- main/DAOs/Handlers/MessageSegmentHandler.class.php